Bug Hunting Session
Bug 51352 - EDITING nested TABLE with undo / redo will CRASH
Summary: EDITING nested TABLE with undo / redo will CRASH
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium critical
Assignee: Not Assigned
URL:
Whiteboard: target: 4.1.0 target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-23 01:19 UTC by Rainer Bielefeld Retired
Modified: 2018-02-25 15:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-06-23 01:19:44 UTC
Steps how to reproduce with parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 8d39b7]" (tinderbox: W2008R2@16-minimal_build, pull time 2012-06-20 04:38:46):

0. download / open attahced sample document
   > Caret flashes in bottom right cell
1. <control+a> to select all table
2. From menu 'Table -> Covert -> Table to Text (Tab)'
3. click Icon 'Undo'
4. click Icon 'Redo'
   > CRASH

Sample has been created with blank new document created from LibO Start Center with 2 times insert default table.

Critical because very "normal" proceeding
Comment 1 Rainer Bielefeld Retired 2012-06-23 01:31:01 UTC
Already [Reproducible] with "LibreOffice 3.3.3  German UI/Locale [OOO330m19 (Build:301) tag libreoffice-3.3.3.1] on German WIN7 Home Premium (64bit) and
OOo 3.2-dev, so inherited from OOo.

NEW due to Original AOOo report
OS=ALL because also reproduced with LibO 3.5.3 on Ubunu 12 64bit (VirtualBox)

Very old bug without report, so i think it's not MAB

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 2 bfoman (inactive) 2012-06-29 02:51:09 UTC
https://issues.apache.org/ooo/show_bug.cgi?id=119954 status:
RESOLVED FIXED
commit http://svn.apache.org/viewvc?view=revision&revision=1352828

Maybe we should mark such bugs in some way? This would allow devs to import the code when possible (for 3.7 at earliest).
Comment 3 Rainer Bielefeld Retired 2012-06-29 03:48:57 UTC
@bfoman:
These bugs are more or less marked by the "See Also" URL.
There still are some licensing issues, but it's planned to try to benefit from the AOOo fixes. I am in contact with Michael Meeks concerning further proceeding, when there is a solution I will post it on QA mailing list.
Comment 4 Jorendc 2013-05-31 22:28:05 UTC
Seems cherry-picked: http://cgit.freedesktop.org/libreoffice/core/commit/?id=a0bd65d2e0e6813f47221ae52092cdb4e748c0e6

I indeed can not reproduce this behavior anymore using LibreOffice Version: 4.2.0.0.alpha0+ Build ID: 467d5e0a2e074ff2afb4d1b1a37cff2094b0895

Following our release plan (https://wiki.documentfoundation.org/ReleasePlan/4.1#4.1.0_release) : Hard feature freezed & branched libreoffice-4-1 	Week 21, May 20 - May 26, 2013

Based on that this will be included in 4.1.0 too.
Comment 5 Commit Notification 2018-02-25 15:00:33 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d5b01ce74cd2d91e767115de86a8c7013bb56c14

uitest for bug tdf#51352

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.